--[[----------------------------------------------------------------------------

LrmLibraryVideoModelImp.lua

--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
___________________

Copyright 2021 Adobe
All Rights Reserved.

NOTICE: All information contained herein is, and remains
the property of Adobe and its suppliers, if any. The intellectual
and technical concepts contained herein are proprietary to Adobe
and its suppliers and are protected by all applicable intellectual
property laws, including trade secret and copyright laws.
Dissemination of this information or reproduction of this material
is strictly forbidden unless prior written permission is obtained
from Adobe.

------------------------------------------------------------------------------]]

--============================================================================--

local WFCatVideo = require 'WFCatVideo'

	-- WF.core.models
local WFModelsUtils = require 'WFModelsUtils'

--==============================================================================

local LrmLibraryVideoModelImp = {}

--==============================================================================

function LrmLibraryVideoModelImp.generateProxies( self, assetId, optArgs )

	return WFModelsUtils.createModelForFunction( self._wfCatalogStream,
			WFCatVideo.generateProxies, assetId, optArgs )

end

--------------------------------------------------------------------------------

function LrmLibraryVideoModelImp.generateProxiesForSpaceAsset( self, spaceId, assetId, optArgs )

	return WFModelsUtils.createModelForFunction( self._wfCatalogStream,
			WFCatVideo.generateProxiesForSpaceAsset, spaceId, assetId, optArgs )

end
--------------------------------------------------------------------------------

return LrmLibraryVideoModelImp